import dbus
from gi.repository import GLib
from dbus.mainloop.glib import DBusGMainLoop

lockStatus = "/etc/default/lockstatus"

#锁屏，文件 写入1
def signal_handler_lock(*args, **kwargs):
    with open(lockStatus,"w") as Lfile:
        Lfile.write("1")
    print("lock")
    print('---end----')

#解锁，文件写入0
def signal_handler_unlock(*args, **kwargs):
    with open(lockStatus,"w") as Lfile:
        Lfile.write("0")
    print("unlock")
    print('---end----')

DBusGMainLoop(set_as_default=True)
bus =  dbus.SessionBus()
#register your signal callback
bus.add_signal_receiver(signal_handler_lock, dbus_interface="org.ukui.ScreenSaver", signal_name='lock')
bus.add_signal_receiver(signal_handler_unlock, dbus_interface="org.ukui.ScreenSaver", signal_name='unlock')

loop = GLib.MainLoop()
loop.run()